import { OneOf } from '@cbjsdev/shared';
import { ApiAnalyticsAzureRemoteLink } from './ApiAnalyticsAzureRemoteLink';
import { ApiAnalyticsGoogleStorageRemoteLink } from './ApiAnalyticsGoogleStorageRemoteLink';
import { ApiAnalyticsS3RemoteLink } from './ApiAnalyticsS3RemoteLink';
export type ApiAnalyticsLinkSharedProperties = {
    /**
     * The scope name may contain one or two identifiers, separated by a slash (/).
     */
    scope: string;
    /**
     * Arbitrary name for the link.
     */
    name: string;
};
export type ApiAnalyticsLink = OneOf<[
    ApiAnalyticsS3RemoteLink,
    ApiAnalyticsAzureRemoteLink,
    ApiAnalyticsGoogleStorageRemoteLink
]>;
